# pandas.arrays.IntervalArray.overlaps

`IntervalArray.``overlaps`(other)

  Check elementwise if an Interval overlaps the values in the IntervalArray.

  Two intervals overlap if they share a common point, including closed endpoints. Intervals that only have an open endpoint in common do not overlap.

  New in version 0.24.0.

  Parameters:

  other : Interval

  > Interval to check against for an overlap.

  Returns:

  ndarray

  > Boolean array positionally indicating where an overlap occurs.

  See also

  `Interval.overlaps`
    Check whether two Interval objects overlap.

  Examples

      >>> intervals = pd.arrays.IntervalArray.from_tuples([(0, 1), (1, 3), (2, 4)])
      >>> intervals
      IntervalArray([(0, 1], (1, 3], (2, 4]],
            closed='right',
            dtype='interval[int64]')
      >>> intervals.overlaps(pd.Interval(0.5, 1.5))
      array([ True,  True, False])

  Intervals that share closed endpoints overlap:

      >>> intervals.overlaps(pd.Interval(1, 3, closed='left'))
      array([ True,  True, True])

  Intervals that only have an open endpoint in common do not overlap:

      >>> intervals.overlaps(pd.Interval(1, 2, closed='right'))
      array([False,  True, False])

Scroll To Top